Subject: [dhcwg] [Fwd: IESG response to appeal regarding draft-ietf-lemonade-mms-mapping-04]

From: Ralph Droms <[email-masked]>
Date: Mon, 25 Jul 2005 07:57:38 -0400

All - This decision about an appeal to the IESG is relevant to recent
dhc WG discussion about draft review before and during WG last call.
So, when Stig and I ask for input during WG last call, remember that
we're concerned with producing the best documents possible from the WG
and when we take a WG draft to the IESG, we need to be able to document
and support WG review of that draft.

- Ralph

-------- Forwarded Message --------
> From: IESG Secretary <[email-masked]>
> To: IETF Announcement list <[email-masked]>
> Cc: [email-masked]
> Subject: IESG response to appeal regarding draft-ietf-lemonade-mms-
> mapping-04
> Date: Fri, 22 Jul 2005 18:14:06 -0400
> The IESG has reviewed John Klensin's appeal against the
> approval of draft-ietf-lemonade-mms-mapping-04.txt (see
> http://www.ietf.org/IESG/APPEALS/klensin-appeal-lemonade-mms-mapping.txt
> for the full text of the appeal).
> 
> Note that the Area Director principally concerned, Ted Hardie,
> gave technical input during the IESG discussion of the appeal,
> but recused himself from the approval of this response.
> 
> After analysis, the IESG withdraws its approval of 
> draft-ietf-lemonade-mms-mapping-04.txt as Proposed Standard
> and invites the lemonade WG to act on the following points.
> 
> 1. The IESG agrees that the technical updates between the 
> -02 and -04 versions of draft-ietf-lemonade-mms-mapping were significant 
> enough to warrant re-review by the working group.  It therefore asks the 
> working group to review the changes between -02 and -04; if the WG is 
> satisfied that the changes are within its intent, it should so inform 
> the IESG. If not, it should produce a draft that restores its original
> intent, and so inform the IESG. When the draft is updated, the IESG will
> restart the review process at IETF Last Call.
> 
> 2. We note that the Resent-Count header is not mentioned in the IANA 
> Considerations. While RFC 3864 would allow it to be registered 
> independently, based on the OMA documents, it would be valuable to 
> include a note in the IANA Considerations indicating what registration 
> class (Permanent or Provisional) would be sought for and stating that 
> the registration would be accomplished by reference to those documents.
> Having the registration request be concurrent with or precede the approval
> of the revised draft would also be valuable.
> 
> 3. The appeal challenges the legitimacy of a gateway standard
> mandating certain mappings to and from X- headers. In one place,
> the draft states:
> 
>     ...Such systems should
>     be aware that X-headers might be removed during transit through
>     Internet MTAs.
> 
> It is not the IETF's business that the external MMS specification
> makes use of X- headers in a way that the IETF mail standards do not.
> Additionally, given the ambiguous status of X- headers due to the
> discrepancy between RFC 822 and RFC 2822, the WG was placed in a
> difficult situation. Mail gateways have to satisfy pragmatic as well 
> as formal requirements. The IESG therefore believes that it was within 
> the WG's scope to specify mappings to and from X- headers, as long as 
> it is clear that they are not part of the RFC 2822 standard format and 
> that their treatment by Internet MTAs cannot be relied on.
> 
> We now believe that the above sentence describing permitted Internet
> MTA behavior is not sufficiently prominent in the draft, and we request
> that the working group expand and strengthen it or otherwise remedy
> the problem, unless the WG decides for other reasons to remove the 
> X- header mappings.
> 
> If the X- header mappings are retained, they are also candidates for
> provisional registration under RFC 3864 and should be noted as such
> in the IANA Considerations.
> 
> 4. The appeal raises a number of other technical points that were 
> not, as far as we know, raised during WG discussion, WG Last Call,
> or IETF Last Call. Some of them were raised by John Klensin in 
> a review carried out for the General AD during IESG evaluation. 
> We believe that if they had been raised earlier, they might
> have affected the document content. But this in itself does 
> not automatically mean the IESG was wrong to approve the document 
> at the Proposed Standard level.
> 
> However, since the WG will be reconsidering the draft, if the WG 
> wishes to make additional changes based on its review of John's 
> technical concerns, it should do so, and inform the IESG when consensus 
> within the WG has been reached so that a new cycle of IETF review 
> can be initiated.
> 
> 5. John's appeal raised the question of whether the working group had 
> an adequate opportunity to review the comments raised by his review.
> The IESG believes that as we continue to encourage cross-area and
> cross-working-group review, the issue of how to make sure review
> comments are seen by the right people and handled in an open manner
> will continue to become more important.  We would like to work with
> the community on guidelines for reviewers, ADs and working groups on
> how to handle these review comments.
> 
> In summary, the IESG
> 
> - withdraws its approval of draft-ietf-lemonade-mms-mapping-04.txt
>   as Proposed Standard
> 
> - requests the lemonade WG to review and confirm or withdraw the changes 
>   between the -02 and -04 versions
> 
> - notes that the lemonade WG is free to consider other technical comments
>   included in the appeal
> 
> - requests the lemonade WG to improve the text about MTA treatment of
>   X- headers, if these mappings are retained
> 
> - requests the lemonade WG to complete the IANA Considerations as necessary,
>   considering RFC 3864 
> 
> - requests the lemonade WG to provide an updated version of the draft 
>   that reflects WG consensus, for renewed IETF Last Call and IESG review.
> 
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf-announce

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg